Subject: bug#66182: git error: object not found when running system reconfigure

From: chris <[email-masked]>
Date: Sun, 24 Sep 2023 09:11:08 -0700

Hello,

https://paste.debian.net/1292978/

For the past day or so `sudo guix system reconfigure guix.system.scm` results in the error attached to this mail. The id value has changed from yesterday. I visited the irc channel and someone there recommended the same advice found here https://issues.guix.gnu.org/40769 to delete "~/.cache/guix" and actually I deleted all "~/.cache" but the error is still there.

This morning, again, I tried "rm -r ~/.cache/guix" and "sudo guix system reconfigure guix.system.scm" and the same error occurred and I don't know how to resolve.

Thanks for any advice,

Chris